Loading...
Searching...
No Matches
restinio::easy_parser::impl::clause_tag Struct Reference

A special base class to be used with clauses. More...

`#include <easy_parser.hpp>`

Inheritance diagram for restinio::easy_parser::impl::clause_tag:

## Static Public Attributes

static constexpr entity_type_t | entity_type = entity_type_t::clause

## Detailed Description

A special base class to be used with clauses.

Every clause class should have the following content:

class some_consumer_type
{
public :
static constexpr entity_type_t entity_type = entity_type_t::clause;
optional_t<parse_error_t>
try_process(source_t & from, Target_Type & dest);
...
};
nonstd::optional_lite::optional
class optional
Definition optional.hpp:919
restinio::easy_parser::impl::source_t
The class that implements "input stream".
Definition easy_parser.hpp:740
restinio::easy_parser::impl::entity_type_t
entity_type_t
A marker for distinguish different kind of entities in parser.
Definition easy_parser.hpp:901
restinio::on_this_thread
run_on_this_thread_settings_t< Traits > on_this_thread()
A special marker for the case when http_server must be run on the context of the current thread.
Definition http_server_run.hpp:123

where `Target_Type` is clause's specific types.

Since
  v.0.6.1

Definition at line 1392 of file easy_parser.hpp.

## Member Data Documentation

## entity_type

constexpr entity_type_t restinio::easy_parser::impl::clause_tag::entity_type = entity_type_t::clause

staticconstexpr

Definition at line 1394 of file easy_parser.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/easy_parser.hpp